Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.puppycrawl.tools.checkstyle.api
Enum JavadocTagInfo.Type

    java.lang.Object
      java.lang.Enum<JavadocTagInfo.Type>
          com.puppycrawl.tools.checkstyle.api.JavadocTagInfo.Type

All Implemented Interfaces:
  Serializable, Comparable<JavadocTagInfo.Type>

Enclosing class:
  JavadocTagInfo

    public static enum JavadocTagInfo.Type

extends Enum<JavadocTagInfo.Type>

The Javadoc Type. For example a `@param` tag is a block tag while a `{@link}` tag is a inline tag.

Author:
  Travis Schneeberger

Enum Constant Summary
`BLOCK` block type.
`INLINE` inline type.

Method Summary
`static JavadocTagInfo.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JavadocTagInfo.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BLOCK

    public static final JavadocTagInfo.Type BLOCK

  block type.

### INLINE

    public static final JavadocTagInfo.Type INLINE

  inline type.

Method Detail

### values

    public static JavadocTagInfo.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JavadocTagInfo.Type c : JavadocTagInfo.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JavadocTagInfo.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011. All Rights Reserved.